Bug 1291463 - [abrt] remmina: remmina_rdp_cliprdr_monitor_ready(): remmina killed by SIGSEGV
[abrt] remmina: remmina_rdp_cliprdr_monitor_ready(): remmina killed by SIGSEGV
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:afa095f3f52ffe9f9a48ccdbf2f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 17:04 EST by Devon Janitz
Modified: 2016-05-31 18:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 16:17:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.70 KB, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: core_backtrace (10.89 KB, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: dso_list (15.57 KB, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: environ (1.62 KB, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: maps (77.03 KB, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: mountinfo (3.48 KB, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: open_fds (3.33 KB, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details
File: var_log_messages (864 bytes, text/plain)
2015-12-14 17:04 EST, Devon Janitz
no flags Details

  None (edit)
Description Devon Janitz 2015-12-14 17:04:00 EST
Description of problem:
I openned an RDP windows, just as it started to connect the remote session it crashed.

Version-Release number of selected component:
remmina-1.2.0-0.8.git.b3237e8.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina
crash_function: remmina_rdp_cliprdr_monitor_ready
executable:     /usr/bin/remmina
global_pid:     3307
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 remmina_rdp_cliprdr_monitor_ready at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_cliprdr.c:318
 #1 cliprdr_process_monitor_ready at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:217
 #2 cliprdr_order_recv at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:359
 #3 cliprdr_virtual_channel_client_thread at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:778
 #4 thread_launcher at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/thread/thread.c:257

Potential duplicate: bug 1262868
Comment 1 Devon Janitz 2015-12-14 17:04:04 EST
Created attachment 1105731 [details]
File: backtrace
Comment 2 Devon Janitz 2015-12-14 17:04:05 EST
Created attachment 1105732 [details]
File: cgroup
Comment 3 Devon Janitz 2015-12-14 17:04:06 EST
Created attachment 1105733 [details]
File: core_backtrace
Comment 4 Devon Janitz 2015-12-14 17:04:08 EST
Created attachment 1105734 [details]
File: dso_list
Comment 5 Devon Janitz 2015-12-14 17:04:09 EST
Created attachment 1105735 [details]
File: environ
Comment 6 Devon Janitz 2015-12-14 17:04:10 EST
Created attachment 1105736 [details]
File: exploitable
Comment 7 Devon Janitz 2015-12-14 17:04:11 EST
Created attachment 1105737 [details]
File: limits
Comment 8 Devon Janitz 2015-12-14 17:04:12 EST
Created attachment 1105738 [details]
File: maps
Comment 9 Devon Janitz 2015-12-14 17:04:14 EST
Created attachment 1105739 [details]
File: mountinfo
Comment 10 Devon Janitz 2015-12-14 17:04:15 EST
Created attachment 1105740 [details]
File: namespaces
Comment 11 Devon Janitz 2015-12-14 17:04:16 EST
Created attachment 1105741 [details]
File: open_fds
Comment 12 Devon Janitz 2015-12-14 17:04:17 EST
Created attachment 1105742 [details]
File: proc_pid_status
Comment 13 Devon Janitz 2015-12-14 17:04:18 EST
Created attachment 1105743 [details]
File: var_log_messages
Comment 14 Pavel Alexeev 2016-01-05 16:17:48 EST
Thank you very much for the bugreport and willing free software better.

Unfortunately most of such problems known issues. But I can't update remmina in stable Fedora branches. Details you may read in description of that copr repo https://copr.fedoraproject.org/coprs/hubbitus/remmina-next/ . It also contains fresh versions of rfeerdp and remmina. I strongly recommend you try it. You may also try install packages from rawhide (may have unstable dependencies).

If packages in copr also does not solve you problem - please leave comments and reopen issue.

Note You need to log in before you can comment on or make changes to this bug.